Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network115.2.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
115.2.32.0
Broadcast address
115.2.63.255
First usable
115.2.32.1
Last usable
115.2.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 73022000 · Integer 1929519104 to 1929527295
Reverse DNS zones
32.2.115.in-addr.arpa
33.2.115.in-addr.arpa
34.2.115.in-addr.arpa
35.2.115.in-addr.arpa
36.2.115.in-addr.arpa
37.2.115.in-addr.arpa
38.2.115.in-addr.arpa
39.2.115.in-addr.arpa
40.2.115.in-addr.arpa
41.2.115.in-addr.arpa
42.2.115.in-addr.arpa
43.2.115.in-addr.arpa
44.2.115.in-addr.arpa
45.2.115.in-addr.arpa
46.2.115.in-addr.arpa
47.2.115.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110011.00000010.00100000.00000000115.2.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01110011.00000010.00100000.00000000115.2.32.0
Broadcast01110011.00000010.00111111.11111111115.2.63.255
Split into smaller subnets/26

115.2.32.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1115.2.32.0/26115.2.32.1 to 115.2.32.62115.2.32.6362
2115.2.32.64/26115.2.32.65 to 115.2.32.126115.2.32.12762
3115.2.32.128/26115.2.32.129 to 115.2.32.190115.2.32.19162
4115.2.32.192/26115.2.32.193 to 115.2.32.254115.2.32.25562
5115.2.33.0/26115.2.33.1 to 115.2.33.62115.2.33.6362
6115.2.33.64/26115.2.33.65 to 115.2.33.126115.2.33.12762
7115.2.33.128/26115.2.33.129 to 115.2.33.190115.2.33.19162
8115.2.33.192/26115.2.33.193 to 115.2.33.254115.2.33.25562
9115.2.34.0/26115.2.34.1 to 115.2.34.62115.2.34.6362
10115.2.34.64/26115.2.34.65 to 115.2.34.126115.2.34.12762
11115.2.34.128/26115.2.34.129 to 115.2.34.190115.2.34.19162
12115.2.34.192/26115.2.34.193 to 115.2.34.254115.2.34.25562
13115.2.35.0/26115.2.35.1 to 115.2.35.62115.2.35.6362
14115.2.35.64/26115.2.35.65 to 115.2.35.126115.2.35.12762
15115.2.35.128/26115.2.35.129 to 115.2.35.190115.2.35.19162
16115.2.35.192/26115.2.35.193 to 115.2.35.254115.2.35.25562
17115.2.36.0/26115.2.36.1 to 115.2.36.62115.2.36.6362
18115.2.36.64/26115.2.36.65 to 115.2.36.126115.2.36.12762
19115.2.36.128/26115.2.36.129 to 115.2.36.190115.2.36.19162
20115.2.36.192/26115.2.36.193 to 115.2.36.254115.2.36.25562
21115.2.37.0/26115.2.37.1 to 115.2.37.62115.2.37.6362
22115.2.37.64/26115.2.37.65 to 115.2.37.126115.2.37.12762
23115.2.37.128/26115.2.37.129 to 115.2.37.190115.2.37.19162
24115.2.37.192/26115.2.37.193 to 115.2.37.254115.2.37.25562
25115.2.38.0/26115.2.38.1 to 115.2.38.62115.2.38.6362
26115.2.38.64/26115.2.38.65 to 115.2.38.126115.2.38.12762
27115.2.38.128/26115.2.38.129 to 115.2.38.190115.2.38.19162
28115.2.38.192/26115.2.38.193 to 115.2.38.254115.2.38.25562
29115.2.39.0/26115.2.39.1 to 115.2.39.62115.2.39.6362
30115.2.39.64/26115.2.39.65 to 115.2.39.126115.2.39.12762
31115.2.39.128/26115.2.39.129 to 115.2.39.190115.2.39.19162
32115.2.39.192/26115.2.39.193 to 115.2.39.254115.2.39.25562
33115.2.40.0/26115.2.40.1 to 115.2.40.62115.2.40.6362
34115.2.40.64/26115.2.40.65 to 115.2.40.126115.2.40.12762
35115.2.40.128/26115.2.40.129 to 115.2.40.190115.2.40.19162
36115.2.40.192/26115.2.40.193 to 115.2.40.254115.2.40.25562
37115.2.41.0/26115.2.41.1 to 115.2.41.62115.2.41.6362
38115.2.41.64/26115.2.41.65 to 115.2.41.126115.2.41.12762
39115.2.41.128/26115.2.41.129 to 115.2.41.190115.2.41.19162
40115.2.41.192/26115.2.41.193 to 115.2.41.254115.2.41.25562
41115.2.42.0/26115.2.42.1 to 115.2.42.62115.2.42.6362
42115.2.42.64/26115.2.42.65 to 115.2.42.126115.2.42.12762
43115.2.42.128/26115.2.42.129 to 115.2.42.190115.2.42.19162
44115.2.42.192/26115.2.42.193 to 115.2.42.254115.2.42.25562
45115.2.43.0/26115.2.43.1 to 115.2.43.62115.2.43.6362
46115.2.43.64/26115.2.43.65 to 115.2.43.126115.2.43.12762
47115.2.43.128/26115.2.43.129 to 115.2.43.190115.2.43.19162
48115.2.43.192/26115.2.43.193 to 115.2.43.254115.2.43.25562
49115.2.44.0/26115.2.44.1 to 115.2.44.62115.2.44.6362
50115.2.44.64/26115.2.44.65 to 115.2.44.126115.2.44.12762
51115.2.44.128/26115.2.44.129 to 115.2.44.190115.2.44.19162
52115.2.44.192/26115.2.44.193 to 115.2.44.254115.2.44.25562
53115.2.45.0/26115.2.45.1 to 115.2.45.62115.2.45.6362
54115.2.45.64/26115.2.45.65 to 115.2.45.126115.2.45.12762
55115.2.45.128/26115.2.45.129 to 115.2.45.190115.2.45.19162
56115.2.45.192/26115.2.45.193 to 115.2.45.254115.2.45.25562
57115.2.46.0/26115.2.46.1 to 115.2.46.62115.2.46.6362
58115.2.46.64/26115.2.46.65 to 115.2.46.126115.2.46.12762
59115.2.46.128/26115.2.46.129 to 115.2.46.190115.2.46.19162
60115.2.46.192/26115.2.46.193 to 115.2.46.254115.2.46.25562
61115.2.47.0/26115.2.47.1 to 115.2.47.62115.2.47.6362
62115.2.47.64/26115.2.47.65 to 115.2.47.126115.2.47.12762
63115.2.47.128/26115.2.47.129 to 115.2.47.190115.2.47.19162
64115.2.47.192/26115.2.47.193 to 115.2.47.254115.2.47.25562
65115.2.48.0/26115.2.48.1 to 115.2.48.62115.2.48.6362
66115.2.48.64/26115.2.48.65 to 115.2.48.126115.2.48.12762
67115.2.48.128/26115.2.48.129 to 115.2.48.190115.2.48.19162
68115.2.48.192/26115.2.48.193 to 115.2.48.254115.2.48.25562
69115.2.49.0/26115.2.49.1 to 115.2.49.62115.2.49.6362
70115.2.49.64/26115.2.49.65 to 115.2.49.126115.2.49.12762
71115.2.49.128/26115.2.49.129 to 115.2.49.190115.2.49.19162
72115.2.49.192/26115.2.49.193 to 115.2.49.254115.2.49.25562
73115.2.50.0/26115.2.50.1 to 115.2.50.62115.2.50.6362
74115.2.50.64/26115.2.50.65 to 115.2.50.126115.2.50.12762
75115.2.50.128/26115.2.50.129 to 115.2.50.190115.2.50.19162
76115.2.50.192/26115.2.50.193 to 115.2.50.254115.2.50.25562
77115.2.51.0/26115.2.51.1 to 115.2.51.62115.2.51.6362
78115.2.51.64/26115.2.51.65 to 115.2.51.126115.2.51.12762
79115.2.51.128/26115.2.51.129 to 115.2.51.190115.2.51.19162
80115.2.51.192/26115.2.51.193 to 115.2.51.254115.2.51.25562
81115.2.52.0/26115.2.52.1 to 115.2.52.62115.2.52.6362
82115.2.52.64/26115.2.52.65 to 115.2.52.126115.2.52.12762
83115.2.52.128/26115.2.52.129 to 115.2.52.190115.2.52.19162
84115.2.52.192/26115.2.52.193 to 115.2.52.254115.2.52.25562
85115.2.53.0/26115.2.53.1 to 115.2.53.62115.2.53.6362
86115.2.53.64/26115.2.53.65 to 115.2.53.126115.2.53.12762
87115.2.53.128/26115.2.53.129 to 115.2.53.190115.2.53.19162
88115.2.53.192/26115.2.53.193 to 115.2.53.254115.2.53.25562
89115.2.54.0/26115.2.54.1 to 115.2.54.62115.2.54.6362
90115.2.54.64/26115.2.54.65 to 115.2.54.126115.2.54.12762
91115.2.54.128/26115.2.54.129 to 115.2.54.190115.2.54.19162
92115.2.54.192/26115.2.54.193 to 115.2.54.254115.2.54.25562
93115.2.55.0/26115.2.55.1 to 115.2.55.62115.2.55.6362
94115.2.55.64/26115.2.55.65 to 115.2.55.126115.2.55.12762
95115.2.55.128/26115.2.55.129 to 115.2.55.190115.2.55.19162
96115.2.55.192/26115.2.55.193 to 115.2.55.254115.2.55.25562
97115.2.56.0/26115.2.56.1 to 115.2.56.62115.2.56.6362
98115.2.56.64/26115.2.56.65 to 115.2.56.126115.2.56.12762
99115.2.56.128/26115.2.56.129 to 115.2.56.190115.2.56.19162
100115.2.56.192/26115.2.56.193 to 115.2.56.254115.2.56.25562
101115.2.57.0/26115.2.57.1 to 115.2.57.62115.2.57.6362
102115.2.57.64/26115.2.57.65 to 115.2.57.126115.2.57.12762
103115.2.57.128/26115.2.57.129 to 115.2.57.190115.2.57.19162
104115.2.57.192/26115.2.57.193 to 115.2.57.254115.2.57.25562
105115.2.58.0/26115.2.58.1 to 115.2.58.62115.2.58.6362
106115.2.58.64/26115.2.58.65 to 115.2.58.126115.2.58.12762
107115.2.58.128/26115.2.58.129 to 115.2.58.190115.2.58.19162
108115.2.58.192/26115.2.58.193 to 115.2.58.254115.2.58.25562
109115.2.59.0/26115.2.59.1 to 115.2.59.62115.2.59.6362
110115.2.59.64/26115.2.59.65 to 115.2.59.126115.2.59.12762
111115.2.59.128/26115.2.59.129 to 115.2.59.190115.2.59.19162
112115.2.59.192/26115.2.59.193 to 115.2.59.254115.2.59.25562
113115.2.60.0/26115.2.60.1 to 115.2.60.62115.2.60.6362
114115.2.60.64/26115.2.60.65 to 115.2.60.126115.2.60.12762
115115.2.60.128/26115.2.60.129 to 115.2.60.190115.2.60.19162
116115.2.60.192/26115.2.60.193 to 115.2.60.254115.2.60.25562
117115.2.61.0/26115.2.61.1 to 115.2.61.62115.2.61.6362
118115.2.61.64/26115.2.61.65 to 115.2.61.126115.2.61.12762
119115.2.61.128/26115.2.61.129 to 115.2.61.190115.2.61.19162
120115.2.61.192/26115.2.61.193 to 115.2.61.254115.2.61.25562
121115.2.62.0/26115.2.62.1 to 115.2.62.62115.2.62.6362
122115.2.62.64/26115.2.62.65 to 115.2.62.126115.2.62.12762
123115.2.62.128/26115.2.62.129 to 115.2.62.190115.2.62.19162
124115.2.62.192/26115.2.62.193 to 115.2.62.254115.2.62.25562
125115.2.63.0/26115.2.63.1 to 115.2.63.62115.2.63.6362
126115.2.63.64/26115.2.63.65 to 115.2.63.126115.2.63.12762
127115.2.63.128/26115.2.63.129 to 115.2.63.190115.2.63.19162
128115.2.63.192/26115.2.63.193 to 115.2.63.254115.2.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses